org.apache.commons.compress.archivers

## Class StreamingNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.compress.archivers.ArchiveException
      - - org.apache.commons.compress.archivers.StreamingNotSupportedException

- All Implemented Interfaces:
    Serializable

      public class StreamingNotSupportedException
      extends ArchiveException

  Exception thrown by ArchiveStreamFactory if a format is requested/detected that doesn't support streaming.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingNotSupportedException(String format)` Creates a new StreamingNotSupportedException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormat()` Returns the format that has been requested/detected.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingNotSupportedException

          public StreamingNotSupportedException(String format)

      Creates a new StreamingNotSupportedException.
      Parameters:
        `format` - the format that has been requested/detected.

  - ### Method Detail

    - #### getFormat

          public String getFormat()

      Returns the format that has been requested/detected.
      Returns:
        the format that has been requested/detected.

Copyright © 2016 The Apache Software Foundation. All rights reserved.